<%@page import="com.dgt.graphdemo.utils.SysUser"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ include file="/include/taglib.jsp" %>
<div id="LOGIN_CONTENT" style="width: 100%;position: absolute;top: 0;bottom: 0;z-index: 999999999;background-color: rgba(0,0,0,0.5);font-size: 32px;display: none;align-items: center;justify-content: center;">点击唤醒</div>
	<div class="logo" style="position:relative;">
		<img src="../images/indexNew/logo.png" style="width: 110px;height:30px; margin: 5px 0px 0px 15px;">
		<h3>寿险反欺诈</h3>
	</div>
	<ul class="myNav">
        <li>《</li>
        <li>统计信息</li>
        <li>实体信息</li>
        <li>风险详情</li>
        <li>报表清单</li>
	   	<%--<li>--%>
            <%--<a href = "../login/toFLoop.do">--%>
                <%--<img style="width:24px;height:24px;padding-right:1px;margin-top: -5px;" src="../images/indexNew/qzjc.png">--%>
            <%--串案模型</a>--%>
        <%--</li>--%>

        <%--<hna:permission privilege="sysTaskPlus.view" >--%>
        <%--<li>--%>
            <%--<a href = "../sysTaskPlus/getModels.do">--%>
            <%--<img style="width:24px;height:24px;padding-right:1px;margin-top: -5px;" src="../images/indexNew/model2.png">专项模型--%>
            <%--</a>--%>
        <%--</li>--%>
        <%--</hna:permission>--%>
        <!-- 
	    <li>
            <a href = "../login/machine.do">
            <img style="width:24px;height:24px;padding-right:1px;margin-top: -5px;" src="../images/newImg/machine.png">机器学习
            </a>
        </li>
         -->
		<hna:permission privilege="sysPersonal.search">
		<li>
            <a href = "../sysPersonal/taskApply.do">
                <img style="width:24px;height:24px;padding-right:1px;margin-top: -5px;"  src="../images/indexNew/grgl.png">
            疑案管理</a></li>
		</hna:permission>
         <%--<li class="menuDrop">--%>
            <%--<a href="#" class="menuDown"><img style="width:24px;height:24px;padding-right:1px;margin-top: -5px;"  src="../images/indexNew/tj.png">统计</a>--%>
            <%--<ul class="head_subMenu">--%>
                <%--<hna:permission privilege="sysTask.statisPage">--%>
                <%--<li>--%>
                    <%--<a href = "../login/toAnalyze2.do">统计</a>--%>
                <%--</li>--%>
                <%--</hna:permission>--%>
                <%--<hna:permission privilege="sysTask.companyPage">--%>
                <%--<li>--%>
                    <%--<a href = "../login/toAnalyze3.do">--%>
                        <%--<!-- <img style="width:24px;height:24px;padding-right:1px;margin-top: -5px;"  src="../images/indexNew/zgstj.png"> -->--%>
                    <%--中心统计</a>--%>
                <%--</li>--%>
                <%--</hna:permission>--%>
                <%--<hna:permission privilege="sysTask.branchPage">--%>
                <%--<li>--%>
                    <%--<a href = "../login/toAnalyze4.do">--%>
                        <%--<!-- <img style="width:24px;height:24px;padding-right:1px;margin-top: -5px;"  src="../images/indexNew/fgstj.png"> -->--%>
                    <%--团队长统计</a>--%>
                <%--</li>--%>
                <%--</hna:permission>--%>
            <%--</ul>--%>
        <%--</li>--%>
       <!--  <hna:permission privilege="sysTask.statisPage">
		<li>
            <a href = "../login/toAnalyze2.do">
                <img style="width:24px;height:24px;padding-right:1px;margin-top: -5px;"  src="../images/indexNew/tj.png">
            统计</a>
        </li>
		</hna:permission>
        <hna:permission privilege="sysTask.companyPage">
        <li>
            <a href = "../login/toAnalyze3.do">
                <img style="width:24px;height:24px;padding-right:1px;margin-top: -5px;"  src="../images/indexNew/zgstj.png">
            总公司统计</a>
        </li>
        </hna:permission>
        <hna:permission privilege="sysTask.branchPage">
        <li>
            <a href = "../login/toAnalyze4.do">
                <img style="width:24px;height:24px;padding-right:1px;margin-top: -5px;"  src="../images/indexNew/fgstj.png">
            分公司统计</a>
        </li>
        </hna:permission> -->
	   	 
	</ul>
<%--注释人头像登录--%>
	<%--<div class="headRight">--%>
       <%--<!--  <img style="width: 84px;" src="../images/newImg/dapin.png"> -->--%>
        <%--<!-- <input type="button" id="daPing" name="daPin" value="大屏可视化" style="border: 1px solid #00b591;background-color:#00bb9c;color:#fff;padding: 4px 5px;border-radius:5px;margin-right: 10px;"> -->--%>
		<%--<img class="userHead" src="../images/person1.png">--%>
		<%--<span><a id="sysset">${currentUser.userCnName}</a><!-- span里面的 style="position: relative;" -->--%>
		<%--<ul class="syssetContent"><!--ul里面的  style="right:0px;" -->--%>
            <%--<hna:permission privilege="sysUserRole.view">--%>
                <%--<a href="../sysPara/list.do"><li>权限管理</li></a>--%>
            <%--</hna:permission>--%>
			<%--<!-- <hna:permission privilege="sysUser.view">--%>
				<%--<a href="../sysUser/list.do"><li>用户管理</li></a>--%>
			<%--</hna:permission>--%>
			<%--<hna:permission privilege="sysRole.view">--%>
				<%--<a href="../sysRole/list.do"><li>角色管理</li></a>--%>
			<%--</hna:permission>--%>
			<%--<hna:permission privilege="sysAuthority.view">--%>
				<%--<a href="../sysAuthority/list.do"><li>权限管理</li></a>--%>
			<%--</hna:permission> -->--%>
			<%--<hna:permission privilege="sysLog.view">--%>
				<%--<a href="../sysLog/list.do"><li>日志查看</li></a>--%>
			<%--</hna:permission>--%>
            <%--<hna:permission privilege="system.manage">--%>
            <%--<a href="../sysPara/system.do"><li>系统管理</li></a>--%>
             <%--</hna:permission>--%>
			<%--<!--<hna:permission privilege="sysTask.issuing">--%>
				<%--<a href="../sysTask/list.do"><li>任务管理</li></a>--%>
			<%--</hna:permission>--%>
			<%--<hna:permission privilege="sysTask.para">--%>
            <%--<a href="../sysPara/taskApplyPara.do"><li>参数配置</li></a>--%>
			<%--</hna:permission> -->--%>
            <%--<hna:permission privilege="screen.showMessage">--%>
            <%--<a href="#" id="daPing"><li>大屏监控</li></a>--%>
            <%--</hna:permission>--%>
            <%--<a href = "../sysUser/downloadFile.do" target="_blankHelp"><li>操作手册</li></a>--%>
			<%--<a href="../login/logout.do"><li>退出登陆</li></a>--%>
		<%--</ul>--%>
		<%--</span>--%>
	<%--</div>--%>

<script src="../js/lib/jquery.min.js"></script>
<script>
    //查询部分(左侧)的出现与隐藏
    $(".myNav li:nth-child(1)").click(function(){
        var self=$(".myNav li:nth-child(1)");
        if(self.text()=='《'){
            self.html("》");
            $(".searchCon").fadeOut("slow");
            $("#resultCon2").css("margin-left",0);
            $(".myNav li:nth-child(1)").attr("style","cursor: default;");
        }else{
            self.html("《");
            $(".searchCon").fadeIn("slow");
        }
    });
    //点击统计信息id=resultHead3出现相应模块
    $(".myNav li:nth-child(2)").click(function(){
        $("#resultHead").hide();
        $("#relation2").hide();
        $("#resultHead3").show();
        $(".myNav li:nth-child(2)").attr("style","background-color:RGB(84,117,172);cursor: default;");
        $(".myNav li:nth-child(3)").removeAttr("style");
        $(".myNav li:nth-child(4)").removeAttr("style");
        $(".myNav li:nth-child(5)").removeAttr("style");
    });
    //点击实体信息id=resultHead出现相应模块
    $(".myNav li:nth-child(3)").click(function(){
        $("#resultHead").show();
        $("#relation2").hide();
        $("#resultHead3").hide();
        $(".myNav li:nth-child(3)").attr("style","background-color:RGB(84,117,172);cursor: default;");
        $(".myNav li:nth-child(2)").removeAttr("style");
        $(".myNav li:nth-child(4)").removeAttr("style");
        $(".myNav li:nth-child(5)").removeAttr("style");
    });
    //点击风险详情id=relation2出现相应模块
    $(".myNav li:nth-child(4)").click(function(){
        $("#resultHead").hide();
        $("#relation2").show();
        $("#resultHead3").hide();
        $(".myNav li:nth-child(4)").attr("style","background-color:RGB(84,117,172);cursor: default;");
        $(".myNav li:nth-child(2)").removeAttr("style");
        $(".myNav li:nth-child(3)").removeAttr("style");
        $(".myNav li:nth-child(5)").removeAttr("style");
    });
    //点击报表清单出现相应模块
    $(".myNav li:nth-child(5)").click(function(){
        if($(".myNav li:nth-child(5)").html()=="报表清单"){
            $("#resultHead").hide();
            $("#relation2").hide();
            $("#resultHead3").hide();
            $(".myNav li:nth-child(4)").removeAttr("style");
            $(".myNav li:nth-child(2)").removeAttr("style");
            $(".myNav li:nth-child(3)").removeAttr("style");
            $(".myNav li:nth-child(5)").attr("style","background-color:RGB(84,117,172);cursor: default;");
            $("#resultCon2").hide();
            $(".searchCon").hide();
            $(".left_list").show();
            $(".containerTable").show();
            $(".myNav li:nth-child(5)").html("返回查询");
        }else{
            $("#resultHead").hide();
            $("#relation2").hide();
            $("#resultHead3").hide();
            $(".myNav li:nth-child(4)").removeAttr("style");
            $(".myNav li:nth-child(2)").removeAttr("style");
            $(".myNav li:nth-child(3)").removeAttr("style");
            $(".myNav li:nth-child(5)").attr("style","background-color:RGB(84,117,172);cursor: default;");
            $("#resultCon2").show();
            $(".searchCon").show();
            $(".left_list").hide();
            $(".containerTable").hide();
            $(".myNav li:nth-child(5)").html("报表清单");
        }
    });
</script>
<script type="text/javascript">
    var num="${param.index}";
    var url = "..";
    //导航条的链接，修改  20171017
    $(".myNav li").each(function(i){
        if(num==$(this).text().trim()){
            //加了以下判断，修改 2018-02-01
            if(num=="统计" || num=="总公司统计" || num=="分公司统计"){
                 $(".myNav").find("li.menuDrop").addClass("navActive");
            }
            $(".myNav").find("li").eq(i).addClass("navActive");          
        }
    });//20171017

    //给统计加宽
    $(".head_subMenu").css("min-width",$(".menuDrop").width());
    //大屏展示的权限判断
   /* $.ajax({
        type:"POST",
        url:"../sysTask/daPingButton.do",
        data:{},
        dataType:"json",
        success:function(result){
            if(!result.buttonflag){
                $("#daPin").css("display","none");
            }else{
                $("#daPin").css("display","");
            }
        },
        error:function(){
            
        }
    });*/
    //去大屏展示的页面的验证
    $("#daPing").click(function(){
    	var dapingUrl = '';
    	$.ajax({
            type:"POST",
            url:"../sysTask/daPingDataFresh.do",
            data:{},
            dataType:"json",
            async:false,
            success:function(result){
            	 dapingUrl = result;
            },
            error:function(){
                
            }
        });
    	window.open(dapingUrl);
        /*window.open('http://10.186.30.147:8080/scn/show');
        window.open('http://10.180.135.55/scn/show');*/
    })
    //$(".nav").find("li").eq(num).addClass("navActive");//以前的写法是传下标，现在传文字
    $("#sysset").bind("click",function(){
    	$(".syssetContent").toggle();
    });
//    $(function(){
//    	$("#LOGIN_CONTENT").bind("click",function(){
//    		$("#LOGIN_CONTENT").text("正在唤醒中……");
//    		var $iframe = $("<iframe id='checkLoginIframe' style='height:0;width:0' src='../login/checkedLoginWeb.do'></iframe>")
//			$("body").append($iframe);
//    	});
//
//    	setInterval(function(){
//        	$.ajax({
//    			type:"POST",
//    			url:"../login/checkedLogin.do",
//    			data:{},
//    			dataType:"json",
//    			success:function(result){
//    				if(result == "succ"){
//    				}else if(result.login == "fail"){
//    					$("#LOGIN_CONTENT").css("display","flex");
//    				}
//    			},
//    			error:function(){
//    				$("#LOGIN_CONTENT").text("唤醒失败，3秒后重新登录！");
//    				$("#LOGIN_CONTENT").css("display","flex");
//    				setTimeout(function(){
//    					window.location.reload();
//    				},3000);
//    			}
//    		});
//        },1000*60*10);
//    });
    var closeTheCheckLogin = function(){
    	$("#checkLoginIframe").remove();
    	$("#LOGIN_CONTENT").text("点击唤醒");
    	$("#LOGIN_CONTENT").css("display","none");
    }
    
</script>
